/**
***  This will create a default object with an object id.  That program object
***  can be opened (i.e. started) using the other REXX program OPENOBJ.CMD
**/

call LoadFunctions

arg ObjectName .

if ObjectName = '' then
   do
   say
   call charout ,'Enter an object id>'
   pull ObjectName
   if ObjectName = '' then
      do
      say 'You must enter a name'
      exit 16
      end
   end

call InitObjectProcedures
call RunObject ObjectName
exit

/**
***  Ŀ
***                   This code will manipulate WPS objects                 
***  
**/

InitObjectProcedures: procedure expose Obj.
   /**
   ***  This will initialize the global 'Obj.' variable
   **/

   Obj. = ''
   Obj.Location = "<WP_DESKTOP>"
   return 0


RunObject: procedure

   /* This will open (run) a Workplace Shell object */

   arg Object

   call SysSetObjectData '<'Object'>', 'OPEN=DEFAULT';
   return result


LoadFunctions: procedure
   /**
   ***   This will load the DLL for the Rexx system functions supplied
   ***   with OS/2 v2.0 and above
   **/
   call RxFuncAdd 'SysLoadFuncs', 'RexxUtil', 'SysLoadFuncs'
   call SysLoadFuncs
   return
